[server]
# ip address the server listens on.
# optional (default = "::")
# value range: valid ip4 or ip6 addresss
ip = "::"
# port the server listens on.
# optional (default = 50051)
# value range: 0-65536
port = 50051
# The path the the ssl certificate used by the server
# The certificate is expected to be in pkcs12 format
cert_path = "/etc/GiGa/ssl/server.p12"
# The password that was used to encrypt the tls certifictate
cert_pwd = "secret"
# The path to the gst-server license
license_path = "/etc/GiGa/license/"

[database]
# databse url to the gst database
url = "postgresql://user:password@host/database"
# A list of non-standard oracle system users. NB: standard system users are:
# SYS, MDSYS, APEX_040200, CTXSYS, SYSTEM, XDB, WMSYS, ORDDATA, GSMADMIN_INTERNAL
oracle_system_users = ["SUPER_SQUIRREL"]

[storage]
# tile size
tile_size = 25000
# path where the binary geometry data will be stored
data_path = '/where/to/store'
# number of cores to use.
# optional (default = all)
cpu_count = 4

[environment]
# Optional path to an alternative GDAL data directory.
gdal_data = "/optional/path/to/gdal/data"
# Optional path to additional nadgrid files.
grid_path = "/optional/path/to/nadgrids"
